// PersonalOrganizer.h
// Declarations for PersonalOrganizer class
// 
#pragma once

#include <string>
#include <ctime> // needed for CTime
#include "TaskItem.h"
#include "ContactItem.h"

using namespace std;

// PersonalOrganizer represents an organizer that can manage (add, delete, sort, list)
// two kinds of items: TaskItems and ContactItems.

class PersonalOrganizer {
	// CS1030 TODO: add any needed member variables  here
private:

public:
	PersonalOrganizer();
	void createTask(int year, int month, int day, string strDescription );
	void createContact(string lastName, string firstName, string phoneNumber);
	bool deleteTask(int nID );
	bool deleteContact(int nID );

	// CS1030 TODO: complete declarations of the following methods
	// according to the type of STL collection you choose to use.
	// <type> getTasks(int sortMode );	// get a collection of Tasks sorted by date or description
	// <type> getContacts( int sortMode ); // get a collection of Contacts sorted by first or last name
};