// ContactItem.h
// Declarations for ContactItem class
// 
#pragma once

#include <string>
using namespace std;

// ContactItem represents an individual's name and phone number
class ContactItem {
	// CS1030 TODO: add any other needed member variables  here
private:
	string lastName;
	string firstName;
	string phoneNum;
	int cID;		// contact ID; unique for each object
public:
	static int sortMode;		// sort options
	const static int sortByFirstname= 0;
	const static int sortByLastname	= 1;

	ContactItem();	
	ContactItem(int nID, string lastName, string firstName, string strDescription);
	string getLastName();
	string getFirstName();
	string getPhoneNumber();
	int getID();
	bool operator<(ContactItem&); // for sorting
};